Topic: Add NextCloud?

Hi,

https://copr.fedorainfracloud.org/coprs … d/6407198/

I just took the Fedora sources of NextCloud, submitted a build for EL8 and EL9... and the EL9 package works... but only with the php:remi-8.2 module. I have been doing a similar build for EL8 that works with php:remi-8.0 .

I expect Fedora will never accept packages that depend on Remi PHP modules, but... maybe they could be added to the Remi repo? I am not really sure how that should look, but perhaps its possible? The main concern is what happens if some day the Fedora sources stop building, but in the meantime...?

(I think there's no way to get these packages approved for use in EPEL, because even if they added compatible AppStreams, EPEL doesn't support modules?)

Cheers,

Álex

Re: Add NextCloud?

I think that copr is a proper way for such packages with 3rd party dependency.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: Add NextCloud?

If it works with PHP 8.0, which is the default on EL-9, I think it is suitable for EPEL-9

Indeed, EPEL cannot take benefit of modules.

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: Add NextCloud?

It *should* work with PHP 8.0, but I did a quick test and it didn't sad Some issue with preg_replace, IIRC. 8.0 is supposed to be supported, so I guess I could file a bug, but that would be short-lived (support for PHP 8.0 is deprecated- if they remove it sooner than an EL9 AppStream for a newer PHP version is out, we're back to square one).

I am not very well-versed on modules. Isn't there any way to declare dependencies on modules (say, a Nextcloud package depending on the proper PHP module)?

I've been maintaining a COPR for Nextcloud so far, it's just that it "saddens" me a bit that a hugely popular package like Nextcloud does not have more visible EL repos sad

Re: Add NextCloud?

> Isn't there any way to declare dependencies on modules (say, a Nextcloud package depending on the proper PHP module)?

Yes, module dependencies exist, at module level.

Ex: php module requires

- httpd:2.4 module for httpd-filesystem and httpd
- nginx:* module for nginx-filesystem and httpd-mmn (API constraint)

IMHO, it would makes sense to package nextcloud as a module with various versions (25, 26, 27...) each with dependencies on supported PHP stream versions.
given the user the choice to upgrade PHP and/or Nextcloud.

But this is out of my resource capabilities.

And BTW, nobody cares anymore about modules... sad
- Modules were an EL-8 feature
- Modules have mostly disappeared from EL-9
- Perhaps EL-10 won't even support modules anymore

I already fought too much time in the past with nextcloud (so I'm now using upstream distribution for my personal server)

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi